Skip to content

List sub-account API keys

View .md
GET

List sub-account API keys. Requires a parent project API key; sub-account API keys receive HTTP 403.

Authorization

  • Authorizationheaderrequired

    Bearer YOUR_API_KEY. Create a key in the dashboard.

Path parameters

  • idstringrequired

    Sub-account ID.

Responses

200List of API keys.
  • itemsobject[]required
    9 properties
    • idstringrequired
    • namestringrequired
    • keystring

      Full API key. Only returned on creation.

    • keyPrefixstringrequired

      First characters of the key for identification.

    • environmentstringrequired
      One oflivetest
    • permissionsstring[]
    • lastUsedAtnumbernullable
    • revokedAtnumbernullable
    • createdAtnumberrequired
401Unauthorized.
  • codestringrequired
  • messagestringrequired
  • detailsobject
403Forbidden. Sub-account API keys cannot manage sub-accounts.
  • codestringrequired
  • messagestringrequired
  • detailsobject
404Not a sub-account of this team. The parent project's own id is not a sub-account and answers 404.
  • codestringrequired
  • messagestringrequired
  • detailsobject